import QtQuick 1.1

Image {
    id: indicator
    property int count: 0
    property real value : 0.8

    source: "image://cached/fuel_bg.png"

    Item {
        z: -1
        clip: true
        width: parent.width * value
        height: parent.height

        Image {
            source: indicator.count > 0 ? "image://cached/fuel_fg_plus.png"
                : "image://cached/fuel_fg.png"
        }
    }
}
