import QtQuick 1.1
import Box2D 1.0
import Expresso 1.0

FrameSprite {
    fixedRotation: true
    bodyType: Body.Static

    width: 305
    height: 447

    property bool running: true

    spriteStates: SpriteState {
        frameCount: 7
        frameWidth: 305
        frameHeight: 447
        frameRate: running ? 1.0 : 0.0

        sources: [
            "image://cached/sprites/obstacles/fan/1.png",
            "image://cached/sprites/obstacles/fan/2.png",
            "image://cached/sprites/obstacles/fan/3.png",
            "image://cached/sprites/obstacles/fan/4.png",
            "image://cached/sprites/obstacles/fan/5.png",
            "image://cached/sprites/obstacles/fan/6.png",
            "image://cached/sprites/obstacles/fan/7.png",
        ]
    }
}
