import QtQuick 1.1
import Box2D 1.0
import Expresso 1.0
import ".."

FrameSprite {
    width: 90
    height: 77
    fixedRotation: true

    xVelocity: -200
    yVelocity: 50

    fixtures: Box {
        width: 90
        height: 77
        density: 0.8
        friction: 0.2
        restitution: 0.8
    }

    spriteStates: SpriteState {
        frameCount: 6
        frameWidth: 90
        frameHeight: 77
        frameRate: 0.4

        sources: [
            "image://cached/birds/big/1.png",
            "image://cached/birds/big/2.png",
            "image://cached/birds/big/3.png",
            "image://cached/birds/big/4.png",
            "image://cached/birds/big/5.png",
            "image://cached/birds/big/6.png",
        ]
    }
}
