import QtQuick 1.1
import Box2D 1.0
import Expresso 1.0
import ".."

FrameSprite {
    id: sprite
    width: 90
    height: 77
    fixedRotation: true

    xVelocity: -1
    yVelocity: -1

    fixtures: Box {
        width: 36
        height: 36
        density: 0.8
        friction: 0.2
        restitution: 0.8
        categories: Box.Category3
        collidesWith: Box.Category4
        onBeginContact: sprite.destroy(1);
    }

    spriteStates: SpriteState {
        frameCount: 4
        frameWidth: 36
        frameHeight: 36
        frameRate: 0.3

        sources: [
            "image://cached/fuelcell/1.png",
            "image://cached/fuelcell/2.png",
            "image://cached/fuelcell/3.png",
            "image://cached/fuelcell/4.png",
        ]
    }
}
