import QtQuick 1.1

Image {
    id: button
    property url normalImage
    property url pressedImage

    signal clicked();

    source: mouseArea.pressed ? pressedImage : normalImage

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked();
    }
}
