import QtQuick 1.1

Image {
    id: root

    property string path
    property int frameCount: 1
    property bool running: true
    property int duration: 1000

    source: path + "/" + frame.index + ".png"

    QtObject {
        id: frame
        property int index: 1

        NumberAnimation on index {
            from: 1
            to: frameCount
            running: root.running
            duration: root.duration
            loops: Animation.Infinite
        }
    }
}
